Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.svg
Class SVGRenderingContext

    java.lang.Object
      org.apache.fop.render.AbstractRenderingContext
          org.apache.fop.render.svg.SVGRenderingContext

All Implemented Interfaces:
  RenderingContext

    public class SVGRenderingContext

extends AbstractRenderingContext

Rendering context for SVG production.

Constructor Summary
`SVGRenderingContext(FOUserAgent userAgent, org.xml.sax.ContentHandler handler)` Main constructor.

Method Summary
`org.xml.sax.ContentHandler` | `getContentHandler()` Returns the target content handler.
`java.lang.String` | `getMimeType()` Returns the MIME type associated with the current output format.

Methods inherited from class org.apache.fop.render.AbstractRenderingContext
`getHint, getHints, getUserAgent, putHint, putHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGRenderingContext

    public SVGRenderingContext(FOUserAgent userAgent,
                               org.xml.sax.ContentHandler handler)

  Main constructor.

  Parameters:
    `userAgent` - the user agent
    `handler` - the target content handler

Method Detail

### getMimeType

    public java.lang.String getMimeType()

  Returns the MIME type associated with the current output format.

  Returns:
    the MIME type (ex. application/pdf)

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Returns the target content handler.

  Returns:
    the content handler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.